using System;
using System.Threading.Tasks;
using Luski.net.Interfaces;
using Luski.net.JsonTypes;
using Luski.net.Structures;

namespace Luski.net;

public partial class Server<TUser>
{
    public event Func<SocketMessage, Task>? MessageReceived;

    public event Func<IUser, IUser, Task>? UserStatusUpdate;

    public event Func<MainSocketRemoteUser, Task>? ReceivedFriendRequest;

    public event Func<MainSocketRemoteUser, bool, Task>? FriendRequestResult;
    
    public event Func<Exception, Task>? OnError;
}